#pragma once
#include "libs.h"
#include "gui.h"
#include "view.h"
#include "star_system.h"

class SystemInfoScannerText;

class GenericSystemView: public View {
public:
  GenericSystemView(void);
  virtual void Draw3D(void);
  virtual void ShowAll(void);
  virtual void HideAll(void);
  sigc::signal<void,StarSystem*> onSelectedSystemChanged;

private:
  Gui::Fixed* m_scannerLayout;
  Gui::Label* m_systemName;
  Gui::Label* m_distance;
  Gui::Label* m_starType;
  Gui::Label* m_shortDesc;
  int px, py, pidx;
};

