#pragma once
#include <string>
#include "gui_radio_button.h"

class RadioButton;

namespace Gui {
  class ImageRadioButton : public RadioButton {
  public:
    ImageRadioButton(RadioGroup*, const char* img_normal, const char* img_pressed);
    virtual void Draw(void);
    virtual void GetSizeRequested(float size[2]);
  private:
    Image* m_imgNormal;
    Image* m_imgPressed;
  };
}

