#pragma once
#include <string>
#include "gui_widget.h"

namespace Gui {
  class Label : public Widget {
  public:
    Label(const char* text);
    Label(std::string& text);
    virtual void Draw(void);
    virtual ~Label(void) {}
    virtual void GetSizeRequested(float size[2]);
    void SetText(const char* text);
    void SetText(std::string& text);
    void SetColor(float r, float g, float b);
  private:
    std::string m_text;
    float m_color[3];
  };
}

