#pragma once
#include <string>
#include <vector>
#include "libs.h"
#include "star_system.h"

class Sector {
public:
  Sector(int x, int y);

  int m_numSystems;
  struct System {
    std::string name;
    vector3f p;
    StarSystem::SBody::SubType primaryStarClass;
  };
  std::vector<System>m_systems;

private:
  std::string GenName(MTRand& rand);
};

