#pragma once
#include <string>
#include "gui_widget.h"

namespace Gui {
  class Image : public Widget {
  public:
    Image(const char* filename);
    virtual void Draw(void);
    virtual ~Image(void);
    virtual void GetSizeRequested(float size[2]);
  private:
    GLuint m_tex;
    int m_imgw, m_imgh;
    float m_invtexw, m_invtexh;
  };
}

