#pragma once
#include "libs.h"
#include "gui.h"

class ShipCpanel : public Gui::Fixed {
public:
  ShipCpanel(void);
  virtual void Draw(void);
  void SetScannerWidget(Widget* w); /* Must be done each frame. */
private:
  void OnChangeCamView(Gui::MultiStateImageButton* b);
  void OnChangeMapView(Gui::MultiStateImageButton* b);
  void OnClickTimeaccel(Gui::ISelectable* i, double step);
  void OnClickComms(void);

  Widget* m_scannerWidget;
  Gui::Label* m_clock;
};

