#pragma once
#include "libs.h"
#include "static_rigid_body.h"

class SpaceStation : public StaticRigidBody {
public:
  SpaceStation(void);
  virtual ~SpaceStation(void);
  virtual bool OnCollision(Body* b);
  virtual Object::Type GetType(void) { return Object::SPACESTATION; }
  virtual void Render(const Frame* camFrame);
  void SetMesh(ObjMesh* m);
protected:
  ObjMesh* m_mesh;
};

